%define name	noteedit
%define version	2.4.2
%define release 1mdk

%define	major	1
%define libname	%mklibname %{name} %{major}

%define __libtoolize /bin/true

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Score editor with extensive Midi and MusiXTeX functionality
License:	GPL
Group:		Sound
URL:		http://tan.informatik.tu-chemnitz.de/~jan/%{name}/%{name}.html
Source:		%{name}/%{name}-%{version}.tar.bz2
Source1:	%{name}16.png
Source2:	%{name}32.png
Source3:	%{name}48.png
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	tse3-devel arts-devel libart_lgpl-devel
BuildRequires:	alsa-lib-devel gettext flex fam-devel zlib-devel
BuildRequires:	bison png-devel jpeg-devel kdelibs-devel qt3-devel

%description
Noteedit is a score editor based on the Midi library TSE3. It can read and
write Midi files and process events sent from an external Midi keyboard. The
configured Midi devices of the system can be used to playback the score. The
score can be saved as MusiXTeX file for printout.

%package -n %{libname}
Summary:	Score editor with extensive Midi and MusiXTeX functionality
License:	GPL
Group:		System/Libraries
Provides:	lib%{name}

%description -n %{libname}
Libraries used by NoteEdit

%package -n %{libname}-devel
Summary:	Score editor with extensive Midi and MusiXTeX functionality
License:	GPL
Group:		System/Libraries
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel
Provides:	%{name}-devel

%description -n %{libname}-devel
Development files for the libraries used by NoteEdit

%prep
%setup -q
chmod 644 AUTHORS ChangeLog COPYING INSTALL LICENSE.GPL README VERSION noteedit/examples/*

%build
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$CFLAGS"
export QTDIR=/usr/lib/qt3
export KDEDIR=/usr
%configure --with-qt-libs=/usr/lib/qt3/lib \
  --with-qt-include=/usr/lib/qt3/include \
  --disable-rpath
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
mv %{buildroot}/%{_datadir}/locolor %{buildroot}/%{_datadir}/apps/%{name}/icons
mv %{buildroot}/%{_datadir}/hicolor %{buildroot}/%{_datadir}/apps/%{name}/icons
rm -fr HTML
mv %{buildroot}/%{_docdir}/HTML .
cd HTML
rm `find -name common`
cd ..

# Mandrake Menu entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
needs="x11" \
section="Multimedia/Sound" \
title="Noteedit" \
longtitle="Noteedit" \
command="noteedit" \
icon="%{name}.png"
EOF

install -m644 %{SOURCE1} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE2} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE3} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL LICENSE.GPL README VERSION noteedit/examples/*
%doc HTML
%{_bindir}/noteedit
%{_datadir}/applnk/Utilities/noteedit.desktop
%{_datadir}/apps/noteedit/*
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_menudir}/%name

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libnoteedit.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/libnoteedit.so
%{_libdir}/libnoteedit.la

%changelog
* Wed Feb 4 2004 Austin Acton <austin@mandrake.org> 2.4.2-1mdk
- 2.4.2

* Thu Jan 15 2004 Austin Acton <austin@mandrake.org> 2.4.1-1mdk
- 2.4.1
- libtoolize

* Sun Dec 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.3.3-1mdk
- 2.3.3
- fix provides
- fix buildrequires (lib64..)
- minor fixes

* Sun Jul 6 2003 Austin Acton <aacton@yorku.ca> 2.2.3-1mdk
- 2.2.3

* Fri Jun 27 2003 Austin Acton <aacton@yorku.ca> 2.2.2-1mdk
- 2.2.2

* Tue Jun 10 2003 Austin Acton <aacton@yorku.ca> 2.1.3-1mdk
- 2.1.3

* Fri Apr 25 2003 Austin Acton <aacton@yorku.ca> 2.1.1-2mdk
- buildrequires libart_lgpl2-devel

* Wed Apr 9 2003 Austin Acton <aacton@yorku.ca> 2.1.1-1mdk
- update
- delint
- add some buildrequires

* Fri Jan 31 2003 Buchan Milne <bgmilne@linux-mandrake.com> 2.0.19-1mdk
- thac->contrib
- 2.0.19
- cleanups
- Don't require lilypond (not in the distro atm, not strictly required)

* Thu Jan 21 2003 Torbjorn Turpeinen <tobbe@nyvalls.se> 2.0.18-1mdk
- new version

* Thu Jan 02 2002 Torbjorn Turpeinen <tobbe@nyvalls.se> 2.0.17-1mdk
- Built for Mandrake 9.0
